Bug 507939 - Booting to Fedora 11 x86_64 and x86 live CD on MacPro server freezes during grub or CD loading
Booting to Fedora 11 x86_64 and x86 live CD on MacPro server freezes during g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 15:22 EDT by Nick Boldt
Modified: 2013-01-10 00:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Boldt 2009-06-24 15:22:53 EDT
Description of problem:

Booting to Fedora 11 x86_64 and x86 live CD on MacPro server freezes during grub

Version-Release number of selected component (if applicable):

Fedora 11 x86_64 and x86 live CDs

How reproducible:

Steps to Reproduce:
1. Buy this: http://www.cdw.ca/shop/products/default.aspx?EDC=1698818
2. Install 2x1G extra RAM in recommended slots (total 8x1G RAM)
3. Install 3x640G extra drives in SATA bays 2-4.
4. Put disk in drive. Turn on MacPro and hold down "c" key to boot from optical drive.
5. hit any key to enter grub menu; select boot or verify and boot; hit tab to configure.
6. while backspacing over prefilled options or typing, grub will freeze. 

(With the install DVD, I have to remove rhgb and add nomodeset xdriver=vesa resolution=1024x768 to get the disk to load properly. I was trying the same thing with the Live CDs, but past this point the CD loads into a black screen and no keyboard or mouse input results in any feedback. I cannot CTRL-ALT-F2 to drop to a console and log in as root; I cannot CTRL-ALT-BkSp to kill X.) 

  
Actual results:

Basically, the drive spins for a while, then the process dies. Cannot use Live CDs to boot on Mac Pro.

Expected results:

"Just Works" should boot into Fedora like it does on my Thinkpad, perhaps at a lower-than-optimal resolution; or, if there's a problem starting X, then drop to a console and *show me the problem*. Black Screen Of Death == fail w/ no way of debugging.

Additional info:

n/a
Comment 1 Nick Boldt 2009-06-24 15:25:59 EDT
Note that sometimes when booting from Live CD the screen stays black the whole time, and I never see the grub "automatically starting in 10...9..." prompt. My monitor is a Sceptre 24" w/ 1600x1200 screen. See https://bugzilla.redhat.com/show_bug.cgi?id=507936 for the xorg.conf file I ultimately had to use after installing from Install DVD (because Live CDs never booted).
Comment 2 Bug Zapper 2010-04-27 11:13:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:16:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.